Docs Kling /kling/v1/{action}/{action2}/{task_id}
API reference

Query tasks (free)

GET/kling/v1/{action}/{action2}/{task_id}

Body Parametersapplication/json

body object

Responses

200 application/json
response-200 object
properties
choices* array

List of candidate results

created* integer

Creation time (Unix timestamp)

id* string

Resource or task ID

object* string

Object type identifier, e.g. chat.completion

usage* object

Token usage statistics

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"message": "ok"
3}
Code Sample cURL
1curl -X GET "https://api.digislash.com/kling/v1/{action}/{action2}/{task_id}" \
2-H "Authorization: Bearer <API Key>"
Response
1▼{
2"choices": [],
3"created": 1733851336,
4"id": "CjMT7WdSwWcAAAAAALvB3g",
5"object": "kling.task",
6▼"usage": {
7"completion_tokens": 0,
8"prompt_tokens": 0,
9"total_tokens": 0
10}
11}